Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08238 Graphics Minor Always Feb 28, 2022, 22:18 Mar 2, 2022, 09:13
Tester Fungi66 View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver namcos2.cpp
Version 0.241 Fixed in Version 0.242 Build 64-bit
Fixed in Git Commit c03c6a4 Github Pull Request #
Summary 08238: valkyrie: Missing shadows
Description Missing shadows in some of the areas in Valkyrie no Densetsu. I tested the game in MAME 0.225 and the shadows appeared there, so the regression is some where in between MAME 0.225 and now. The shadows from the PCB footage also look opaque where as in MAME 0.225 they look transparent.

Edit: Regression is 0.231.
  
PCB footage:
 
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version 0.231
Affected Sets / Systems valkyrie
Attached Files
png file icon MAME 0.241.png (228,719 bytes) Feb 28, 2022, 22:18 Uploaded by Fungi66
Fungi66
png file icon MAME 0.225.png (209,696 bytes) Feb 28, 2022, 22:19 Uploaded by Fungi66
Fungi66
jpg file icon PCB.jpg (349,979 bytes) Feb 28, 2022, 22:24 Uploaded by Fungi66
Fungi66
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.19863
Osso
Developer
Mar 1, 2022, 04:33
edited on: Mar 1, 2022, 04:33
Regressed here: https://git.redump.net/mame/commit/src/mame/video/namcos2_sprite.cpp?id=0d897d07e65826352fba147ce644a901b2cce7bc
User avatar
No.19864
hap
Developer
Mar 1, 2022, 15:34
Try

if (dest[x] & 0x1000)
dest[x] |= 0x800;
else
dest[x] = palette.black_pen();
User avatar
No.19865
Osso
Developer
Mar 1, 2022, 16:44
edited on: Mar 1, 2022, 16:45
Seems to fix the reported problem. The shadows also look more like the PCB pic than previous MAME versions.
User avatar
No.19866
dink
Tester
Mar 2, 2022, 02:04
edited on: Mar 2, 2022, 02:04
hap: nice work, I tested the baseball games and don't appear to be any regressions.

best regards,
- dink